﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Example3
{
    // contains the information describing a collision
    class Collision
    {
        // bodies involved in the collision
        private Body m_body1;
        private Body m_body2;

        // contact point, normal and penetration
        private Vector m_location;
        private Vector m_normal;
        private float m_penetation;

        // constructs a new collision object using the given two bodies and contact information
        public Collision(Body body1, Body body2, Vector location, Vector normal, float penetration)
        {
            m_body1 = body1;
            m_body2 = body2;
            m_location = location;
            m_normal = normal;
            m_penetation = penetration;
        }

        // first body property
        public Body Body1 { get { return m_body1; } }

        // second body property
        public Body Body2 { get { return m_body2; } }

        // contact point
        public Vector Location { get { return m_location; } }

        // contact normal
        public Vector Normal { get { return m_normal; } }

        // body interpenetration
        public float Penetration { get { return m_penetation; } }
    }
}
